<?php

$p=$_REQUEST['p'];

if (isset($p))

{
$p = str_replace("[and]","&",$p);
$p = str_replace(" ","+",$p);
//echo"$p";
$output = file_get_contents("$p");

//file_put_contents("file.png", $output);
//echo"<img src='file.png' />";
header('Content-Type: image/png');
echo"$output";
//imagepng("$output");
}else{echo"?p=";};

?>